Skip to main content
GET
/
cash-management
/
accounts
List cash management accounts (tenant-wide roster)
curl --request GET \
  --url https://api.bluumfinance.com/v1/cash-management/accounts \
  --header 'Authorization: Basic <encoded-value>'
{
  "object": "list",
  "url": "<string>",
  "has_more": true,
  "data": [
    {
      "id": "cma_01j9x8m2k7qpzwv3t5r6y8n0ab",
      "object": "cash_management_account",
      "created": 123,
      "livemode": true,
      "investor_id": "<string>",
      "program_id": "<string>",
      "status": "active",
      "currencies": [
        {
          "currency": "<string>",
          "status": "<string>",
          "net_yield": "<string>",
          "net_yield_bps": 123
        }
      ],
      "activated_at": "2023-11-07T05:31:56Z",
      "closed_at": "2023-11-07T05:31:56Z"
    }
  ]
}

Authorizations

Authorization
string
header
required

HTTP Basic Authentication using the API Key as username and API Secret as password.

Query Parameters

limit
integer
default:50

Maximum number of records to return (1–100, default 50).

Required range: 1 <= x <= 100
offset
integer
default:0

Number of records to skip for pagination.

Required range: x >= 0

Response

200 - application/json

A list of accounts

object
string
Example:

"list"

url
string
has_more
boolean
data
object[]